/*
  Copyright (c) 2007 Kathryn Huxtable

  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.

  $Id: RSASignatureTest.java 495 2007-03-31 14:55:20Z huxtable $
 */
package org.kathrynhuxtable.middleware.shibshim.util;

import junit.framework.TestCase;

/**
 * Test the AESCrypt class.
 */
public class AESCryptTest extends TestCase {
    
    private String aesKey;

	public void setUp() {
        aesKey = "G4kslxK4GZdpD+wufCxnTQ==";
	}

    public void testSuccess() {
        String text = "This is the forest primeval, the murmuring pines and the hemlocks";

        byte[] cipherText = null;
        try {
            cipherText = AESCrypt.encrypt(text.getBytes(), aesKey);
        } catch (AESCryptException e) {
            fail("Got exception encrypting text with key: " + e);
        }

        String clearText = null;
        try {
            clearText = new String(AESCrypt.decrypt(cipherText, aesKey));
        } catch (AESCryptException e) {
            fail("Got exception decrypting text with key: " + e);
        }

        assertEquals(text, clearText);
    }
}
